package com.steering.pss.sale.base.entity;

/**
 * 数据库表SLM_BASE_CUST_STORAGE所对应的实体类（生成工具：代码生成器3.0）
 * @author LAPTOP-I2IGVKJC   date 2023-02-06
 */
@SuppressWarnings("serial")
public class SlmBaseCustStorageEntity implements java.io.Serializable {
    /**
     * ID
     */
    private String id = "";
    /**
     * 仓库代码(仓库类型1+仓储地址代码2+1位序号)
     */
    private String storageNo = "";
    /**
     * 仓库代码描述
     */
    private String storageName = "";
    /**
     * 客户编码
     */
    private String customerNo = "";
    /**
     * 客户名称
     */
    private String customerNm = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";

    /**
     * ID
     * @return value
     */
    public String getId() {
        return id;
    }

    /**
     * ID
     * @param id value
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 仓库代码(仓库类型1+仓储地址代码2+1位序号)
     * @return value
     */
    public String getStorageNo() {
        return storageNo;
    }

    /**
     * 仓库代码(仓库类型1+仓储地址代码2+1位序号)
     * @param storageNo value
     */
    public void setStorageNo(String storageNo) {
        this.storageNo = storageNo;
    }

    /**
     * 仓库代码描述
     * @return value
     */
    public String getStorageName() {
        return storageName;
    }

    /**
     * 仓库代码描述
     * @param storageName value
     */
    public void setStorageName(String storageName) {
        this.storageName = storageName;
    }

    /**
     * 客户编码
     * @return value
     */
    public String getCustomerNo() {
        return customerNo;
    }

    /**
     * 客户编码
     * @param customerNo value
     */
    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo;
    }

    /**
     * 客户名称
     * @return value
     */
    public String getCustomerNm() {
        return customerNm;
    }

    /**
     * 客户名称
     * @param customerNm value
     */
    public void setCustomerNm(String customerNm) {
        this.customerNm = customerNm;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }
}
